> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a notification

> Get a notification by id



## OpenAPI

````yaml get /notifications/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /notifications/{id}:
    parameters: []
    get:
      tags:
        - SentNotification
      summary: Get a notification
      description: Get a notification by id
      operationId: getNotification
      parameters:
        - name: id
          in: path
          description: SentNotification identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: SentNotification resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SentNotification-NotificationDetail'
            text/html:
              schema:
                $ref: '#/components/schemas/SentNotification-NotificationDetail'
        '404':
          description: Resource not found
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /notifications/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    SentNotification-NotificationDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        type:
          $ref: '#/components/schemas/NotificationType-NotificationDetail'
        channel:
          type: string
          enum:
            - email
            - sms
            - slack
            - letter
        payload:
          type: array
          items:
            type: string
        recipients:
          type: array
          items:
            type: string
        status:
          type: string
          enum:
            - sent
            - failed
            - pending
        createdAt:
          type: string
          format: date-time
        deliverAt:
          type:
            - string
            - 'null'
          format: date-time
        sentAt:
          type:
            - string
            - 'null'
          format: date-time
    NotificationType-NotificationDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        name:
          readOnly: true
          type: string
        description:
          readOnly: true
          type:
            - string
            - 'null'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````